Get Recommended Variants
1 min
GET
https://api.upstartcommerce.com/v1/catalog/live/recommendation/variant/{skuId}
Path Parameters
- skuIdstringrequiredDescription
Query Parameters
- recommendationTypestringDescriptionAllowedfrequently_boughtvisually_similarsimilar
- top_kstringDescription
- customer_idstringDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringrequiredDescription
Responses
200
- VariantRecommendationsResponseDescription
- skuIdSkuItemIdrequiredDescription
- customerIdstringDescription
- recommendationsCatalogItemVariantRecommendation[]requiredDescription
- skuIdSkuItemIdrequired
- scorenumber<double>requiredDescriptionFormatdouble
- catalogItemIdCatalogItemIdrequiredDescription
- skuSkuItemSummaryrequired
- ProductItemSummary
- brandNamestring
- dimensionsDimensionsDescription
- widthnumber<double>requiredExampleFormatdouble
- lengthnumber<double>requiredExampleFormatdouble
- heightnumber<double>requiredExampleFormatdouble
- unitstring<cm | m | in | mm>requiredAllowedcmminmm
- disabledbooleanDefaultfalse
- dynamicPropertiesobject
- ignoreInventoryboolean
- manufactureNamestring
- mediamap<string, MediaValue>
- namestringDescription
- numPiecesinteger<int32>Formatint32Minimum (exclusive)0
- pricingPricing
- currencystringrequiredExamplePattern^[A-Z]{3}$
- pricenumberrequired
- purchasablebooleanrequiredDefaulttrue
- shippingMethodIdsShippingMethodId[]
- shippingPackagesShippingPackage[]required
- dimensionsDimensionsrequiredDescription
- widthnumber<double>requiredExampleFormatdouble
- lengthnumber<double>requiredExampleFormatdouble
- heightnumber<double>requiredExampleFormatdouble
- unitstring<cm | m | in | mm>requiredAllowedcmminmm
- weightWeightrequiredDescription
- valuenumber<double>requiredFormatdoubleMinimum0
- unitstring<g | kg | lb>requiredDescriptionAllowedgkglb
- skuIdSkuItemIdrequired
- tagsstring[]
- weightWeightDescription
- valuenumber<double>requiredFormatdoubleMinimum0
- unitstring<g | kg | lb>requiredDescriptionAllowedgkglb
- upcstring
- feeMultiplierinteger<int32>Formatint32
- skuDimensionsDimensionsInfo[]Description
- namestringrequired
- descriptionstring
- widthnumber<double>requiredExampleFormatdouble
- lengthnumber<double>requiredExampleFormatdouble
- heightnumber<double>requiredExampleFormatdouble
- unitstring<cm | m | in | mm>requiredAllowedcmminmm
- ProtectionPlanItemSummary
- descriptionstringrequired
- disabledbooleanrequired
- namestringrequired
- purchasablebooleanrequired
- skuIdstringrequired
- dynamicPropertiesobject
- pricingPricing
- currencystringrequiredExamplePattern^[A-Z]{3}$
- pricenumberrequired
- typestring<bundle | product | protectionPlan | service | warranty | fee>requiredDefaultprotectionPlanAllowedbundleproductprotectionPlanservicewarrantyfee
- termsAndConditionsTermsAndConditionsrequired
- UrlTermsAndConditions
- Max depth limit reached
- DrupalTermsAndConditions
- Max depth limit reached
- CloudinaryAssetUpdate
- Max depth limit reached
- ServiceItemSummary
- descriptionstringrequired
- disabledbooleanDefaultfalse
- dynamicPropertiesobject
- namestringrequired
- pricingPricing
- Max depth limit reached
- purchasablebooleanrequiredDefaulttrue
- skuIdSkuItemIdrequired
- Max depth limit reached
- termsAndConditionsGeneralTermsAndConditions
- DrupalTermsAndConditionsUpdate
- Max depth limit reached
- CloudinaryAssetUpdate
- Max depth limit reached
- typestring<product | protectionPlan | service | warranty>requiredDefaultserviceAllowedproductprotectionPlanservicewarranty
- WarrantyItemSummary
- Max depth limit reached
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
502
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/catalog/live/recommendation/variant/{skuId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/catalog/live/recommendation/variant/{skuId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/catalog/live/recommendation/variant/{skuId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/catalog/live/recommendation/variant/{skuId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success - recommendations holds the recommended variants and may be empty.
{
"skuId": "",
"customerId": "",
"recommendations": [
{
"skuId": "",
"score": "",
"catalogItemId": "",
"sku": {}
}
]
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}502
// An upstream service this endpoint depends on was unavailable, timed out, or returned an unusable response.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}